import request from '@/utils/request'

// 分页
export function page(query) {
  return request({
    url: `/project/page`,
    method: 'get',
    params: query
  })
}

// 新增
export function add(data) {
  return request({
    url: `/project/add`,
    method: 'post',
    data: data
  })
}

// 编辑
export function edit(data) {
  return request({
    url: `/project/edit`,
    method: 'post',
    data: data
  })
}

// 应用分页
export function updatePage(query){
  return request({
    url: `/project/update/page`,
    method: 'get',
    params: query
  })
}

// 新增
export function updateAdd(data) {
  return request({
    url: `/project/update/add`,
    method: 'post',
    data: data
  })
}

// 项目编辑
export function appEdit(data){
  return request({
    url: `/project/update/edit`,
    method: 'post',
    data: data
  })
}

// 项目更新
export function update(data){
  return request({
    url: `/project/update/updateDownUrl`,
    method: 'post',
    data: data
  })
}

// 历史记录
export function historyPage(query){
  return request({
    url: `/project/update/historyPage`,
    method: 'get',
    params: query
  })
}

// 上下架
export function shelves(data){
  return request({
    url: `/project/update/doShelves`,
    method: 'post',
    data: data
  })
}